IMAGEJ(1)

NAME

imagej - A Java image processing program inspired by NIH Image.

SYNTAX

imagej [option] <filename>
imagej [-i image] [-b|-m] [arg1 ... argN]

DESCRIPTION

Imagej is a Java-based image processing program developed at the National Institutes of Health. ImageJ was designed with an open architecture that provides extensibility via Java plugins and recordable macros. Custom acquisition, analysis and processing plugins can be developed using ImageJ's built-in editor and a Java compiler. User-written plugins make it possible to solve many image processing and analysis problems, from 3-dimensional live-cell imaging,
 to radiological image processing, multiple imaging system data comparisons to automated hematology systems. ImageJ's plugin architecture and built in development environment has made it a popular platform for teaching image processing. ImageJ can be run as an online applet, a downloadable application, or on any computer with a Java 1.1 or later virtual machine.

OPTIONS

-h  Output help information and exit.

-o  Open images in existing ImageJ panel if one exists.

-p <N>
    Open images in existing ImageJ panel number <N>.

-x <MB>
    Set available memory.

-c  Enable plugin compilation within imagej.

-v  Be verbose (vv or vvv increases verbosity).

-e Macro Code
    Execute macro code.

-r Menu Command
    Run menu command. Quotation marks are required around commands including spaces Commands can be sent to open ImageJ panels with the -p option.

-b macro
    Run macro without graphics window.

-m macro
    Run macro, image will be opened before macro is run all following arguments are passed to macro.

FILES

Most IMAGEJ add-on are taken from $HOME/.imagej. The system wide
 equivalent is in /usr/share/imagej/

HOME/.imagej/plugins/,
    you can find and put new plugins here

HOME/.imagej/macros/,
    you can find and put new macros here

HOME/.imagej/luts/,
    you can find and put new look up tables here

EXAMPLES

For compiling plugins:

imagej -c

SEE ALSO
The program is fully documented at https://imagej.nih.gov/ij/docs/index.html

AUTHOR

ImageJ was written by Wayne Rasband <wsr@nih.gov>

This manual page, the wrapper and packaging was done by Paolo Ariano <paolo.ariano@unito.it>, for the Debian project.